> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bundlers Chart Data

> 捆绑者持仓占比随时间变化；最多约 1000 个最近数据点。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getBundlersChart('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', '1h');

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /bundlers/chart/{token}
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /bundlers/chart/{token}:
    get:
      tags:
        - Chart
      summary: Get Bundlers Chart Data
      description: 捆绑者持仓占比随时间变化；最多约 1000 个最近数据点。
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
        - name: type
          in: query
          description: K 线周期（如 1s、1m、1h、1d）
          schema:
            type: string
            default: 1d
        - name: time_from
          in: query
          description: 开始时间（Unix 秒）
          schema:
            type: integer
        - name: time_to
          in: query
          description: 结束时间（Unix 秒）
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BundlersChartResponse'
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getBundlersChart('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN',
            '1h');
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getBundlersChart('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN',
            '1h');
components:
  schemas:
    BundlersChartResponse:
      type: object
      properties:
        bundlers:
          type: array
          items:
            type: object
            properties:
              percentage:
                type: number
              time:
                type: integer
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````